Using Atlas with OpenLayers results in nan extents
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18370

Description

based on #9834

It doesn't work really good with openlayers base layers, it gives some nan extent things

Related issues:

Related to QGIS Application - Bug report # 9834: Atlas weird behaviour Closed 2014-03-22

History

#1 - 2014-06-11 05:29 AM - Nyall Dawson

- Status changed from Open to Feedback

This is probably fixed alongside #9839 in master. Can you please test and let me know if this is still reproducible?

#2 - 2014-09-27 10:21 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Closed due to lack of feedback

#3 - 2014-10-09 02:41 PM - Nick S

I'm not the original reporter of this issue, but I can report that when using the OpenLayers plugin and an active basemap in an atlas composer view, atlases

fail to export with the following symptoms in QGIS 2.4 and QGIS-dev on Windows 8.1 (not sure of convention here, if I should call it 2.5, etc):

1) Map views fail to render in exports and show up black or white

2) Atlases completely fail to render, staying at 0%, even if left for long periods of time (20 minutes or so)

3) Atlases hang after exporting 2-4 maps (in my case)

4) When cancelled after hanging on export, if I try to open the composer view again, the page is gone - completely invisible. Then, closing QGIS results in a

full crash.

Once I disabled the OpenLayers plugin, QGIS 2.4 succeeds in a full export.

If this appears to be a separate issue or if Closed issues don't get reopened here, I'll file a new issue, but it seemed like maybe it should be attached here

first. I'm running out the door now, but I can do more work to reproduce and zero  in the bug later (or file to the OpenLayers plugin tracker). Thanks!
#4 - 2014-10-09 03:03 PM - Nyall Dawson

Hi Nick - can you please refile your bug under the OpenLayers plugin tracker? Its a bug with the plugin, not QGIS itself. Thanks!

#5 - 2014-10-10 10:44 AM - Nick S

Will do - thanks!

2024-04-20 2/2


